> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1tutorsessions



## OpenAPI

````yaml /api/openapi.json post /api/v1/tutor/sessions
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/tutor/sessions:
    post:
      tags:
        - tutor
      operationId: startTutorSession
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                activityKind:
                  type: string
                  enum:
                    - lesson
                    - assignment
                activityId:
                  type: string
                  minLength: 1
              required:
                - activityKind
                - activityId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TutorSession'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    TutorSession:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        studentId:
          type: string
          minLength: 1
        activityKind:
          type: string
          enum:
            - lesson
            - assignment
        activityId:
          type: string
          minLength: 1
        mode:
          $ref: '#/components/schemas/TutorMode'
        hintsUsed:
          type: number
          minimum: 0
        maxHints:
          type: number
          minimum: 0
        visibility:
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/TutorMessage'
      required:
        - id
        - studentId
        - activityKind
        - activityId
        - mode
        - hintsUsed
        - maxHints
        - visibility
        - messages
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    TutorMode:
      type: string
      enum:
        - 'off'
        - hints
        - explain
        - open
    TutorMessage:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        role:
          type: string
          enum:
            - student
            - tutor
        text:
          type: string
        kind:
          anyOf:
            - type: string
              enum:
                - hint
                - explain
                - answer
                - refusal
                - chat
            - type: 'null'
        hintNumber:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        cites:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
              name:
                type: string
                minLength: 1
            required:
              - id
              - name
            additionalProperties: false
        at:
          type: string
          minLength: 1
      required:
        - id
        - role
        - text
        - kind
        - hintNumber
        - cites
        - at
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````